<?php

       echo "<div class='aut'>Действия</div>\n";
  if($q['eda_l']!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($q['eda_l']>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`-$colvo, `eda_l`=`eda_l`-$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' крестьян в жители');
       
        
      }
      else
      {
              msg('У вас нет столько крестьян');
      
      }
    }
    else
    {
  echo "<div class='f2'><form method='post' action='?do=15&amp;$passgen'>
  Кол-во крестьян(макс. ".$q['eda_l']." чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form></div>\n";
  }
}
else
{
  echo "<div class='err'>У вас нет крестьян</div>\n";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>